Subject: Re: [DNA] Issue 6: DNAHostLinkIDList

From: Greg Daley <[email-masked]>
Date: Mon, 05 Feb 2007 14:15:54 +1100

Hi Sathya,

If there's no configured prefix on that interface of the router, it
shouldn't advertise prefixes (unless it learns one through Router
Discovery).

In that case it will not route to or from a non-link local prefix either.
Then it's not a problem as there's no prefix on link.

Advertising no prefixes (as complete) is the same as advertising the host's
existing prefixes are invalid, and provides strong link-change detection.

Completeness could be determined in the same way as usual (by solicitation),
and this issue can be avoided if any of the routers advertises a prefix,
as I indicated.

Greg

----- Original Message -----
From: Sathya Narayanan <[email-masked]>
Date: Wednesday, January 31, 2007 2:30 am
Subject: Re: [DNA] Issue 6: DNAHostLinkIDList
To: JinHyeock Choi <[email-masked]>
Cc: Dna <[email-masked]>

> JinHyeock  -
> 
> You are right. I didn't realize that before. Thanks for correcting 
> me. I
> feel a lot more comfortable now.
> 
> Now, is it ok the REQUIRE the sysadmin to configure the routers with
> atleast one prefix even if stateful address configuration is used. I
> guess it is ok. I don't know what others think.
> 
> Greg -
> 
> Your idea to use the configured non-link local prefix is a good 
> one, but
> it still leaves the scenario where the router is configured only with
> link-local addresses on it local interface. AFAIK, thats going to 
> be the
> most common scenario. So, if we require the routers to advertise 
> atleastone prefix, it MUST be configured on the router even when 
> statefuladdress configuration is used.
> 
> Sathya
> 
> > Dear Sathya
> >
> > Thanks for your trouble advancing the work.
> >
> >> I still haven't closed Issue 2:, changes to support Stateful
> >> autoconfiguration scenario. The current text depends on DHCP 
> CONFIRM to
> >> address this scenario. I am still uncomfortable requiring 
> configuration>> of each router on the link with the smallest prefix 
> - a sysadmin then
> >> becomes responsible for keeping track of the smallest prefix and
> >> updating the configuration each time.
> >
> >
> > Sysamin doesn't have to keep track of the smallest prefix and
> > configure it to each router manually.
> >
> > Sysamin only have to configure a router to advertise at least one
> > prefix. Then, after a while, the routers on the same link, upon
> > hearing the prefixes from each other, will pick the smallest prefix
> > and advertise it in either PIO or LPIO.
> >
> > Thanks for your kind consideration.
> >
> > Best Regards
> >
> > JinHyeock
> 
> 
>